Index: src/main/java/com/wediscussmovies/project/model/Genre.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/Genre.java	(revision 3c0f9a97ce7897bbdf19cc016cc2edaede3e204c)
+++ src/main/java/com/wediscussmovies/project/model/Genre.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
@@ -22,4 +22,9 @@
     }
 
+    public Genre(int genreId, String genreType) {
+        this.genreId = genreId;
+        this.genreType = genreType;
+    }
+
     public Genre(String genreType) {
         this.genreType = genreType;
Index: src/main/java/com/wediscussmovies/project/model/Movie.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/Movie.java	(revision 3c0f9a97ce7897bbdf19cc016cc2edaede3e204c)
+++ src/main/java/com/wediscussmovies/project/model/Movie.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
@@ -66,4 +66,17 @@
     }
 
+    public Movie(int movieId, String title, Double imdbRating, String imageUrl) {
+        this.movieId = movieId;
+        this.title = title;
+        this.imdbRating = imdbRating;
+        this.imageUrl = imageUrl;
+    }
+
+    public String getDateFormatted(){
+        String dob = airingDate.toString();
+        String [] parts = dob.split("-");
+        return parts[2]+"/"+parts[1]+"/"+parts[0];
+    }
+
     @Override
     public boolean equals(Object o) {
Index: src/main/java/com/wediscussmovies/project/model/Person.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/Person.java	(revision 3c0f9a97ce7897bbdf19cc016cc2edaede3e204c)
+++ src/main/java/com/wediscussmovies/project/model/Person.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
@@ -6,5 +6,8 @@
 
 import javax.persistence.*;
+import javax.swing.text.DateFormatter;
 import java.sql.Date;
+import java.time.LocalDate;
+import java.time.format.DateTimeFormatter;
 import java.util.Collection;
 
@@ -73,4 +76,10 @@
 
 
+    public String getDateFormatted(){
+        String dob = dateOfBirth.toString();
+        String [] parts = dob.split("-");
+        return parts[2]+"/"+parts[1]+"/"+parts[0];
+    }
+
 
     public Person(String name, String surname, Character type, Date dateOfBirth, String imageUrl, String description) {
Index: src/main/java/com/wediscussmovies/project/model/primarykeys/DiscussionLikesPK.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/primarykeys/DiscussionLikesPK.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/model/primarykeys/DiscussionLikesPK.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
@@ -0,0 +1,40 @@
+package com.wediscussmovies.project.model.primarykeys;
+
+
+import lombok.Data;
+
+import javax.persistence.Column;
+import javax.persistence.Embeddable;
+import java.io.Serializable;
+import java.util.Objects;
+
+@Embeddable
+@Data
+public class DiscussionLikesPK implements Serializable {
+    @Column(name = "discussion_id")
+    private int discussionId;
+
+    @Column(name = "user_id")
+    private int userId;
+
+    public DiscussionLikesPK(int discussionId, int userId) {
+        this.discussionId = discussionId;
+        this.userId = userId;
+    }
+
+    public DiscussionLikesPK() {
+    }
+
+    @Override
+    public boolean equals(Object o) {
+        if (this == o) return true;
+        if (o == null || getClass() != o.getClass()) return false;
+        DiscussionLikesPK that = (DiscussionLikesPK) o;
+        return discussionId == that.discussionId && userId == that.userId;
+    }
+
+    @Override
+    public int hashCode() {
+        return Objects.hash(discussionId, userId);
+    }
+}
Index: src/main/java/com/wediscussmovies/project/model/relation/DiscussionLikes.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/relation/DiscussionLikes.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
+++ src/main/java/com/wediscussmovies/project/model/relation/DiscussionLikes.java	(revision 022694270b172c5c54f76be8e2f0e3691f5d538b)
@@ -0,0 +1,39 @@
+package com.wediscussmovies.project.model.relation;
+
+
+import com.wediscussmovies.project.model.Discussion;
+import com.wediscussmovies.project.model.Movie;
+import com.wediscussmovies.project.model.User;
+import com.wediscussmovies.project.model.primarykeys.DiscussionLikesPK;
+import com.wediscussmovies.project.model.primarykeys.MovieLikesPK;
+import lombok.Data;
+
+import javax.persistence.*;
+
+@Entity
+@Table(name = "discussion_likes", schema = "project", catalog = "db_202122z_va_prj_wediscussmovies")
+@Data
+public class DiscussionLikes {
+    @EmbeddedId
+    private DiscussionLikesPK id;
+
+    @ManyToOne
+    @MapsId("discussion_id")
+    @JoinColumn(name = "discussion_id")
+    private Discussion discussion;
+
+
+    @ManyToOne
+    @MapsId("user_id")
+    @JoinColumn(name = "user_id")
+    private User user;
+
+    public DiscussionLikes(Discussion discussion, User user) {
+        this.id = new DiscussionLikesPK(discussion.getDiscussionId(), user.getUserId());
+        this.discussion = discussion;
+        this.user = user;
+    }
+
+    public DiscussionLikes() {
+    }
+}
